> For the complete documentation index, see [llms.txt](https://docs.digit.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digit.org/health/ph-v1.8/introducing-public-health/release-notes/master-promotion-guide.md).

# Master Promotion Guide

## Overview

This quick guide helps you set up or promote the DIGIT HCM Dashboard to higher environments. Use it if you’re on the implementation or external team.

## Release Features

List of core DIGIT services used:

* The DIGIT HCM Dashboard uses the same core services as the DIGIT HCM Platform.
* Refer to this [document](https://docs.digit.org/platform/platform/core-services) for the list of core services. Make sure they’re deployed.

## Service Enhancements&#x20;

The following image of the Dashboard analytics service is required for the DIGIT HCM dashboard:

<table><thead><tr><th width="159.41145833333331">Service</th><th width="216.1484375">Image</th><th>Description</th></tr></thead><tbody><tr><td>Dashboard analytics service</td><td>dashboard-analytics:dashboard-v1.1.0-2ad7482dbd-32</td><td>The core dashboard analytics service with specific enhancements has been added for the DIGIT HCM Dashboard.</td></tr></tbody></table>

## Release Tags

Deploy the following artefacts in your target environment:

<table><thead><tr><th width="395.8020833333333">Artefact</th><th width="451.27734375">Tag</th></tr></thead><tbody><tr><td>Dashboard chart configurations</td><td><a href="https://github.com/egovernments/health-campaign-config/releases/tag/dashboard-v1.1.0">dashboard-v1.1.0</a></td></tr><tr><td>Dashboard analytics service</td><td><a href="https://github.com/egovernments/health-campaign-services/releases/tag/dashboard-v1.1.0">dashboard-v1.1.0</a></td></tr><tr><td>MDMS</td><td><a href="https://github.com/egovernments/health-campaign-mdms/releases/tag/dashboard-v1.1.0">dashboard-v1.1.0</a></td></tr><tr><td>DIGIT UI</td><td><a href="https://github.com/egovernments/DIGIT-Dev/releases/tag/HCM-v1.5">HCM-v1.5</a></td></tr></tbody></table>

## Backend Configuration&#x20;

Refer to this [document](/health/ph-v1.8/deploy/configuration/ui-configuration/dashboard-configuration/dashboard-ui-enhancements.md#backend-enhancements) to promote the backend services and configurations.

## UI Configuration

<table><thead><tr><th width="140.93489583333331">Artefact</th><th>Image</th><th>Description</th></tr></thead><tbody><tr><td>DIGIT UI</td><td>digit-ui:health_v1.1.0-91a6f61fc1-375</td><td>DIGIT micro UI with enhancements specific for the health Dashboard.</td></tr></tbody></table>

The DIGIT HCM Dashboard features UI improvements described earlier. The stylesheet and the global configuration used by the UI are as follows:

* Stylesheet: <https://unpkg.com/@egovernments/digit-ui-css@0.1.0/dist/index.css>
* Global config: <https://egov-health-demo-assets.s3.ap-south-1.amazonaws.com/globalConfigs.js>&#x20;

Deploying the above image to the target environment will include the DIGIT HCM dashboard for eligible users.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.digit.org/health/ph-v1.8/introducing-public-health/release-notes/master-promotion-guide.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
